org.apache.catalina.loader

## Class WebappClassLoaderBase.PrivilegedGetClassLoader

- java.lang.Object
- - org.apache.catalina.loader.WebappClassLoaderBase.PrivilegedGetClassLoader

- All Implemented Interfaces:
    PrivilegedAction<ClassLoader>
  Enclosing class:
    WebappClassLoaderBase

      protected static final class WebappClassLoaderBase.PrivilegedGetClassLoader
      extends Object
      implements PrivilegedAction<ClassLoader>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Class<?>` | `clazz`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebappClassLoaderBase.PrivilegedGetClassLoader(Class<?> clazz)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassLoader` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clazz

          public final Class<?> clazz

  - ### Constructor Detail

    - #### WebappClassLoaderBase.PrivilegedGetClassLoader

          public WebappClassLoaderBase.PrivilegedGetClassLoader(Class<?> clazz)

  - ### Method Detail

    - #### run

          public ClassLoader run()

      Specified by:
        `run` in interface `PrivilegedAction<ClassLoader>`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.